%ifnarch %{ocaml_native_compiler}
%define debug_package	%{nil}
%endif

%define pkgname		ocplib-simplex

Name:		ocaml-%{pkgname}
Version:	0.4.1
Release:	%mkrel 1
Summary:	Simplex algorithm for solving systems of linear inequalities
Group:		Development/OCaml
# The same exception to clause 6 as provided by ocaml applies to this package.
License:	LGPLv2 with exceptions
URL:		https://github.com/OCamlPro-Iguernlala/ocplib-simplex
Source0:	https://github.com/OCamlPro-Iguernlala/%{pkgname}/archive/v%{version}/%{pkgname}-%{version}.tar.gz
# Upstream patch to fix the tests
Patch0:         %{name}-tests.patch
# Upstream patch to fix DESTDIR
Patch1:         %{name}-destdir.patch
# Update configure.in for autoconf 2.71
Patch2:         %{name}-autoconf.patch
BuildRequires:	autoconf
BuildRequires:	ocaml-findlib-devel
BuildRequires:	ocaml-num-devel
BuildRequires:	ocaml-rpm-macros

%description
This package contains a library implementing a simplex algorithm, in a
functional style, for solving systems of linear inequalities and
optimizing linear objective functions.

%package	devel
Summary:	Development files for %{name}
Group:		Development/OCaml
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n %{pkgname}-%{version} -p0
autoconf

# Upstream's attempt to set OCAMLFIND_DESTDIR interferes with ours
sed -i '/OCAMLFIND_DESTDIR/d' Makefile.in

%build
%configure
%ifarch %{ocaml_native_compiler}
%make_build opt
%else
%make_build byte
%endif

%install
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
%make_install
rm -fr %{buildroot}%{_prefix}%{_prefix}
%ocaml_files
 
%ifarch %{ocaml_native_compiler}
# The tests assume the availability of ocamlopt
%check
make local-tests
%endif

%files -f .ofiles
%doc README.md
%license LICENSE

%files devel -f .ofiles-devel
%doc extra/simplex_invariants.txt



%changelog
* Tue Apr 08 2025 pterjan <pterjan> 0.4.1-1.mga10
+ Revision: 2174238
- Update to 0.4.1

* Thu May 19 2022 pterjan <pterjan> 0.4-11.mga9
+ Revision: 1858906
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 0.4-10.mga9
+ Revision: 1833111
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 0.4-9.mga9
+ Revision: 1750945
- Reenable tests
- Update configure.in for autoconf 2.71

* Thu Mar 04 2021 tv <tv> 0.4-8.mga9
+ Revision: 1697716
- rebuild for ocaml-4.2-12

* Sat Aug 22 2020 tv <tv> 0.4-7.mga8
+ Revision: 1617871
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 0.4-6.mga8
+ Revision: 1551364
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.4-5.mga8
+ Revision: 1544195
- Mageia 8 Mass Rebuild

* Fri Jan 24 2020 tv <tv> 0.4-4.mga8
+ Revision: 1482695
- rebuild for ocaml-4.10
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 23 2018 tv <tv> 0.4-3.mga7
+ Revision: 1324244
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.4-2.mga7
+ Revision: 1299908
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 daviddavid <daviddavid> 0.4-1.mga7
+ Revision: 1211542
- new version: 0.4

* Sat Dec 02 2017 tv <tv> 0.3-2.mga7
+ Revision: 1180679
- rebuild for new ocaml

* Sat Jan 21 2017 daviddavid <daviddavid> 0.3-1.mga6
+ Revision: 1082645
- imported package ocaml-ocplib-simplex

